## ros-noetic-cob-substitute 0.6.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_substitute)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-cob-substitute (0.6.12-1buster) buster; urgency=high



 -- Jannik Abbenseth <jba@ipa.fraunhofer.de>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-substitute (0.6.11-1buster) buster; urgency=high



 -- Jannik Abbenseth <jba@ipa.fraunhofer.de>  Wed, 22 Dec 2021 23:00:00 -0000

ros-noetic-cob-substitute (0.6.10-1buster) buster; urgency=high

  * Merge pull request #56 <https://github.com/ipa320/cob_substitute/issues/56> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Jannik Abbenseth <jba@ipa.fraunhofer.de>  Fri, 16 Oct 2020 22:00:00 -0000

ros-noetic-cob-substitute (0.6.9-1buster) buster; urgency=high



 -- Jannik Abbenseth <jba@ipa.fraunhofer.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-substitute (0.6.8-1buster) buster; urgency=high



 -- Jannik Abbenseth <jba@ipa.fraunhofer.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-noetic-cob-substitute (0.6.7-1buster) buster; urgency=high

  * Merge pull request #50 <https://github.com/ipa320/cob_substitute/issues/50> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #48 <https://github.com/ipa320/cob_substitute/issues/48> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #45 <https://github.com/ipa320/cob_substitute/issues/45> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Jannik Abbenseth <jba@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-noetic-cob-substitute (0.6.6-1buster) buster; urgency=high

  * remove obsolete packages due to unsupported robots
  * manually fix changelog
  * Contributors: ipa-fxm

 -- Jannik Abbenseth <jba@ipa.fraunhofer.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-noetic-cob-substitute (0.6.5-1buster) buster; urgency=high



 -- Jannik Abbenseth <jba@ipa.fraunhofer.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-noetic-cob-substitute (0.6.4-1buster) buster; urgency=high

  * remove rplidar_ros
  * Contributors: ipa-mig

 -- Jannik Abbenseth <jba@ipa.fraunhofer.de>  Sun, 24 Apr 2016 22:00:00 -0000

ros-noetic-cob-substitute (0.6.3-1buster) buster; urgency=high



 -- Jannik Abbenseth <jba@ipa.fraunhofer.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-noetic-cob-substitute (0.6.2-1buster) buster; urgency=high

  * migration to package format 2
  * new substitue package rplidar_ros
  * Contributors: ipa-fxm

 -- Jannik Abbenseth <jba@ipa.fraunhofer.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-noetic-cob-substitute (0.6.1-1buster) buster; urgency=high

  * Merge pull request #24 <https://github.com/ipa320/cob_substitute/issues/24> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #23 <https://github.com/ipa320/cob_substitute/issues/23> from ipa-nhg/indigo_dev
    missed run_depends
  * missed run_depends
  * Merge pull request #22 <https://github.com/ipa320/cob_substitute/issues/22> from ipa320/hydro_dev
    fiy typo
  * Update package.xml
  * Contributors: Florian Weisshardt, ipa-nhg

 -- Jannik Abbenseth <jba@ipa.fraunhofer.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-noetic-cob-substitute (0.6.0-1buster) buster; urgency=high



 -- Jannik Abbenseth <jba@ipa.fraunhofer.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-noetic-cob-substitute (0.5.2-1buster) buster; urgency=high

  * New maintainer
  * Contributors: ipa-nhg

 -- Jannik Abbenseth <jba@ipa.fraunhofer.de>  Sun, 24 Aug 2014 22:00:00 -0000

ros-noetic-cob-substitute (0.5.1-1buster) buster; urgency=high

  * Initial catkin version. Have to find away to fix the rosjava_jni dependency.
  * Contributors: abubeck

 -- Jannik Abbenseth <jba@ipa.fraunhofer.de>  Wed, 19 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-cob-substitute
Section: misc
Priority: optional
Maintainer: Jannik Abbenseth <jba@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/cob_substitute
Standards-Version: 3.9.2

Package: ros-noetic-cob-substitute
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cob-docker-control, ros-noetic-cob-reflector-referencing, ros-noetic-cob-safety-controller
Description: cob_substitute

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-cob-substitute//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
